//
//  actionEndGame.swift
//  ArkitDoushiQi
//
//  Created by Johan LACHENAL on 12/06/2024.
//

import Foundation
import SpriteKit

func actionEndGame(scene : SKScene) {
    let size = scene.size
    for _ in 0..<5 {
        // Créer un effet de particule pour les feux d'artifice
        if let fireworkEmitter = SKEmitterNode(fileNamed: "Spark.sks") {
            // Position aléatoire pour chaque feu d'artifice
            let randomX = CGFloat.random(in: 0..<size.width)
            let randomY = CGFloat.random(in: 0..<size.height / 2) + size.height / 2
            
            fireworkEmitter.position = CGPoint(x: randomX, y: randomY)
            
            // Changer la couleur des particules
            fireworkEmitter.particleColor = randomColor()
            fireworkEmitter.particleColorBlendFactor = 1.0
            
            scene.addChild(fireworkEmitter)
            
            // Retirer le feu d'artifice après une courte durée
            let wait = SKAction.wait(forDuration: 2.0)
            let remove = SKAction.removeFromParent()
            let sequence = SKAction.sequence([wait, remove])
            fireworkEmitter.run(sequence)
        }
    }
}
    
func randomColor() -> UIColor {
        let red = CGFloat.random(in: 0...1)
        let green = CGFloat.random(in: 0...1)
        let blue = CGFloat.random(in: 0...1)
        return UIColor(red: red, green: green, blue: blue, alpha: 1.0)
}
